export declare class StringifyingSet<V> {
    private readonly catToString;
    private internalSet;
    constructor(catToString: (v: V) => string);
    add(v: V): Set<string>;
    has(v: V): boolean;
    delete(v: V): boolean;
    get size(): number;
    forEach(callback: (value1: string, value2: string, map: Set<string>) => void, thisArg?: any): void;
}
